Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
[Java] Class BigDecimalCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
              org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass
                  org.codehaus.groovy.reflection.stdclasses.BigDecimalCachedClass

    public class BigDecimalCachedClass
    extends DoubleCachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`BigDecimalCachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class DoubleCachedClass
coerceArgument, isAssignableFrom, isDirectlyAssignable

Methods inherited from class NumberCachedClass
coerceArgument, isAssignableFrom

Methods inherited from class CachedClass
addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### BigDecimalCachedClass

    public BigDecimalCachedClass(Class klazz, ClassInfo classInfo)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

Copyright © 2003-2010 The Codehaus. All rights reserved.